ldns(3)

NAME
ldns_zone_rr_count - get ldns_zone size

SYNOPSIS
#include <stdint.h>
#include <stdbool.h>

#include <ldns/ldns.h>

size_t ldns_zone_rr_count(const ldns_zone *z);

DESCRIPTION

ldns_zone_rr_count() Returns the number of resource records in the zone, NOT counting the SOA record .br z: the zone to read from .br Returns the number of rr's in the zone

AUTHOR
The ldns team at NLnet Labs.

REPORTING BUGS
Please report bugs to ldns-team@nlnetlabs.nl or in our bugzilla at http://www.nlnetlabs.nl/bugs/index.html

COPYRIGHT
Copyright (c) 2004 - 2006 NLnet Labs.

Licensed under the BSD License. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
ldns_zone. And perldoc Net::DNS, RFC1034, RFC1035, RFC4033, RFC4034 and RFC4035.

REMARKS
This manpage was automatically generated from the ldns source code.